package cn.iselab.mooctest.user.service;


import cn.iselab.mooctest.user.data.UserInfo;
import cn.iselab.mooctest.user.model.UserThirdParty;
import org.json.JSONObject;

import java.util.List;

/**
 * @Description: 作用描述
 * @Author: xuexb
 * @CreateDate: 19-1-8$ 上午1:23$
 */
public interface ThirdPartyAuthService {

    String getAccessToken(String url, String code);

    UserInfo getGithubUserInfo(String url, String accessToken);

    UserThirdParty findByThirdIdAndType(String identity, String type);

    UserThirdParty save(UserThirdParty userThirdParty);

    List<UserThirdParty> findByUserId(Long userId);



}
